import axios from '../service/http.service';
import { sapi } from '../config';
import qs from 'qs';
// 获取上传批次号
export function getuploadNumber() {
  //    params=qs.stringify(params)
  return axios.get(`${sapi}/api/resume/upload/batchNum`, {
    headers: {
      'Content-Type': 'application/json',
    },
  });
}
// 上传文件
export function uploadfile(parmars) {
  return axios.post(`${sapi}/api/resume/upload`, parmars, {
    headers: {
      // 'Content-Type':'multipart/form-data',
      processData: false,
      contentType: false,
      async: false,
    },
  });
}
// 查询上传列表记录
export function serchList(parmars) {
  return axios.post(`${sapi}/api/resume/upload/history`, parmars, {
    headers: {
      'Content-Type': 'application/json',
    },
  });
}
// 查询简历详情
export function serchRESUMEdetail(parmars) {
  return axios.get(`${sapi}/api/html/get/${parmars.uid}`, {
    headers: {
      'Content-Type': 'application/json',
    },
  });
}
// 查询简历详情
export function deleteREsumeUPLOad(deleteallArr) {
  return axios.post(`${sapi}/api/resume/delete`, JSON.stringify(deleteallArr), {
    headers: {
      'Content-Type': 'application/json',
    },
  });
}
